Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface Font

    @XmlElement(value="Font")
    public interface Font

Identifies a font of a certain family, style, and size.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Expression` | `getFamily()` Indicates the name of the font or font family to use.
`Expression` | `getSize()` Expression that indicates the pixel size of the font.
`Expression` | `getStyle()` Indicates the style of the font.
`Expression` | `getWeight()` Expression that indicates the weight of the font.
`void` | `setFamily(Expression expression)` Sets the name of the font or font family to use.
`void` | `setSize(Expression expression)` Expression that indicates the pixel size of the font.
`void` | `setStyle(Expression expression)` Sets the style of the font.
`void` | `setWeight(Expression expression)` Expression that indicates the weight of the font.

Method Detail

### getFamily

    @XmlElement(value="font-familly")
    Expression getFamily()

  Indicates the name of the font or font family to use. Any number of comma-separated values may be provided and they are assumed to be in preferred order. The list of available font families is system dependent. If null, a system dependent default will be used.

### setFamily

    @XmlElement(value="font-familly")
    void setFamily(Expression expression)

  Sets the name of the font or font family to use. See `getFamily()` for details.

### getStyle

    @XmlElement(value="font-style")
    Expression getStyle()

  Indicates the style of the font. Allowed values are "normal", "italic", and "oblique". If null, the default is "normal".

### setStyle

    @XmlElement(value="font-style")
    void setStyle(Expression expression)

  Sets the style of the font. Allowed values are "normal", "italic", and "oblique". If null, the default is "normal". See `getStyle()` for details.

### getWeight

    @XmlElement(value="font-weight")
    Expression getWeight()

  Expression that indicates the weight of the font. Allowed values are "normal" and "bold". If null, the default is "normal".

### setWeight

    @XmlElement(value="font-weight")
    void setWeight(Expression expression)

  Expression that indicates the weight of the font. See `getWeight()` for details.

### getSize

    @XmlElement(value="font-size")
    Expression getSize()

  Expression that indicates the pixel size of the font. If null, the default value is 10.

### setSize

    @XmlElement(value="font-size")
    void setSize(Expression expression)

  Expression that indicates the pixel size of the font. See `getSize()` for details.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.